Update an order
Update an order in Recart.
put
Authorizations
X-Recart-API-KeystringRequired
It can be obtained in Recart account after contacting Support
Path parameters
idnumberRequiredExample:
Id of the order
1234567890Body
Responses
202
No content
No content
4XX
HTTP Error response
application/vnd.api+json
5XX
HTTP Error response
application/vnd.api+json
put/orders/{id}
PUT /app-integrations/2023-12/orders/{id} HTTP/1.1
Host: api.recart.com
X-Recart-API-Key: YOUR_API_KEY
Content-Type: application/vnd.api+json
Accept: */*
Content-Length: 406
{
"data": {
"type": "orders",
"attributes": {
"phoneNumber": "+36301234567",
"orderStatusUrl": "https://example.com/order",
"totalPrice": {
"value": 4.2,
"currency": "USD"
},
"updatedAt": "2021-08-10T14:00:00.000+02:00",
"lineItems": [
{
"productId": "9007199254740991",
"variantId": "9007199254740991",
"name": "Product name",
"quantity": 1,
"price": {
"value": 4.2,
"currency": "USD"
}
}
],
"discountCodes": [
{
"code": "DISCOUNT",
"amount": 4.2
}
]
}
}
}No content
Last updated
Was this helpful?